
package de.ivu.elect.business.konfiguration.boundary;

import java.util.List;

import de.ivu.elect.business.konfiguration.control.CustomParameterSearchResult;
import de.ivu.elect.business.konfiguration.entity.ElectSystemMandantKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;

public class KonfigurationSearch extends AbstractKonfigurationSearch {

  public KonfigurationSearch() {
    super();
  }

  @Override
  protected List<Konfiguration> querySearchResult(KonfigurationSearchParameters searchParameters) {
    return getSearchResult(dao.findByMandant(searchParameters.getMandant()), searchParameters);
  }

  private List<Konfiguration> getSearchResult(List<Konfiguration> konfigurationen, KonfigurationSearchParameters searchParameters) {
    return new CustomParameterSearchResult<ElectSystemMandantKonfigurationWerte, Konfiguration>().getSearchResult(konfigurationen, searchParameters);
  }
}
